# Generated by Django 4.2.13 on 2024-08-05 12:18

from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields
import djangoldp.permissions


class Migration(migrations.Migration):

    dependencies = [
        (
            "djangoldp_tzcld",
            "0076_rename_questions_tzcldterritorysynthesisfollowed_transverses",
        ),
    ]

    operations = [
        migrations.CreateModel(
            name="TzcldTerritoryAdhesion",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "type",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "year",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "community_identity",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="territories_adhesions",
                        to="djangoldp_tzcld.tzcldcommunityidentity",
                    ),
                ),
            ],
            options={
                "verbose_name": "TZCLD Territory Adhesions",
                "verbose_name_plural": "TZCLD Territories Adhesions",
                "abstract": False,
                "default_permissions": {"delete", "change", "add", "view", "control"},
                "rdf_type": "tzcld:territoryAdhesion",
                "container_path": "tzcld-territories-adhesion/",
                "permission_classes": [djangoldp.permissions.InheritPermissions],
                "serializer_fields": [
                    "@id",
                    "type",
                    "name",
                    "year",
                    "community_identity",
                ],
                "nested_fields": ["community_identity"],
                "depth": 0,
                "inherit_permissions": ["community_identity"],
            },
        ),
    ]
